openSuSE 15.1 Problem with opening database

10 posts / 0 new
Last post
dl3xm
openSuSE 15.1 Problem with opening database

Hello in the round. First of all a Happy New Year and above all health.
I installed openSuSE 15.1 on a somewhat older Toshiba Satellite notebook with AMD A6 quad core.
That worked without any problems, but after starting CQRLog 2.4. (AMD64) there were problems.
Error message when starting: "Cann't load default MySQL library libmysqlclient.so.20 or libmysqlclient.so"
Unfortunately, openSuSE does not offer a package for these lib files.
Is there a solution to this problem?
Thank you in advance
73 Guenter DL3XM

oh1kh
openSuSE 15.1 Problem with opening database

Hi Guenter!

Have you installed package libmysqlclient ?

That is needed if you run Mysql.

For Mariadb there is no separate library. You should have symlink in library folder like:

[saku@hamtpad ~]$ whereis libmysqlclient.so
libmysqlclient: /usr/lib64/libmysqlclient.so

[saku@hamtpad ~]$ ls -l /usr/lib64/libmysqlclien*
lrwxrwxrwx. 1 root root 15 12.11. 13:51 /usr/lib64/libmysqlclient_r.so -> libmariadb.so.3
lrwxrwxrwx. 1 root root 15 12.11. 13:51 /usr/lib64/libmysqlclient.so -> libmariadb.so.3

If you have not, but have "libmariadb.so.XX" you can try to make a symlink and see if that helps:

[saku@hamtpad ~]$ whereis libmariadb.so.3
libmariadb.so: /usr/lib64/libmariadb.so /usr/lib64/libmariadb.so.3
[saku@hamtpad ~]$ ls -l /usr/lib64/libmariadb.so
lrwxrwxrwx. 1 root root 15 12.11. 13:51 /usr/lib64/libmariadb.so -> libmariadb.so.3

Using here /usr/lib64/libmysqlclient.so instead of /usr/lib64/libmysqlclient.so.3 may make our symlink work also after mariadb updates.

sudo ln -s /usr/lib64/libmariadb.so /usr/lib64/libmysqlclient.so

Now you should see something with:
ls -l /usr/lib64/libmysqlclient.so

And the try to start cqrlog again.

--
Saku
OH1KH

dl3xm
openSuSE 15.1 Problem with opening database

Hello Saku,
installing libmysqlclient.so.20 is my problem. There is no package for this library from openSuSE. I tried a package from another provider, unfortunately there were conflicts during the installation.
I will try your suggestion in the next few days. Thank you also for your quick reply.

But I have another question:
I use CQRLog 2.3 on an older PC 32bit with openSuSE 12.2. Unfortunately 2.4 is no longer running on this system because only a 64bit update is available. There will probably no longer be a 32-bit variant in the future? HW?
73 de Guenter DL3XM

oh1kh
openSuSE 15.1 Problem with opening database

HI Guenter!

I made a 32bit test compile of my alpha version that I am using by my self and it seems to work (not very good test, at least it starts).
It can be installed by just copying it over to existing /usr/bin/cqrlog.

Of course you need fist save the old /usr/bin/cqrlog file and also ~/.config/cqrlog folder so that you can return both if the alpha does not work. or wipes your log.

I let you know where to look, later. I must go now...

--
Saku
OH1KH

dl3xm
openSuSE 15.1 Problem with opening database

Hi Saku,
many thanks for your effort.
Unfortunately, your suggestions did not lead to success.
I also tried to install appropriate packages in addition to third-party providers, but the conflicts with OS 15.1 failed.
On the website of openSuSE is noted:
"There is no official package available for openSUSE Leap 15.1"

This is the state of affairs, hi!
73 de Guenter DL3XM

oh1kh
openSuSE 15.1 Problem with opening database

Hi Guenter!

I was surfing net a bit and found Maridb sever, client and libmaridb3 for Suse 51.1.
I think those should be enough for running cqrlog. But there is no way to test it here.

Do not mix Mysql and Mariadb packets. You need just one brand.

--
Saku
OH1KH

dl3xm
openSuSE 15.1 Problem with opening database

Hi Saku,
mariadb is installed in the system and the start of cqrlog still does not work.
I'm an older year (;-)) and not so familiar with the intricacies of Linux.
Please send me your own email address so that we can exchange ideas again. I would send you the error file from the start of CQRLog. Maybe something can be found there.
So HW?
73 de Guenter DL3XM

oh1kh
openSuSE 15.1 Problem with opening database

Hi Guenter !

You can send message to mycall
at sral
dot fi

--
Saku
OH1KH

on5hb
on5hb's picture
Not familiar with Linux?

Hi Guenter,

If you are not that into Linux, it's best to use Ubuntu Mate.
Those support the latest software out of the box, Suse is far too difficult for someone that isn't used to Linux.

https://ubuntu-mate.org/download/

Greetings, Bas. ON5HB

dl3xm
Not familiar with Linux?

Hi Bas,
In principle you are right, because CQRLog was built by the developer based on Debian / Ubuntu and its modifications.
I actually never have any problems with openSuSE, because CQRLog has been running on this system from the beginning without problems for over 8 years.
I have been using openSuSE since 2003 from version 8, back then SuSE. Currently the older v.12.2 - 32bit. CQRLog v.2.4.0 can no longer run on this computer.
The difficulties only came with CQRLog 2.4.0 on a Notebook with AMD 6 - 4core 64bit. Then really high knowledge was required, which came from Saku OH1KH, thanks again Saku!

73 de G√ľnter DL3XM